python-gdcm_2.6.3-3ubuntu3_amd64.deb


Advertisement

Description

python-gdcm - Grassroots DICOM Python bindings

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-gdcm
Package version: 2.6.3
Package release: 3ubuntu3
Package architecture: amd64
Package type: deb
Installed size: 3.51 KB
Download size: 580.90 KB
Official Mirror: archive.ubuntu.com
Grassroots DiCoM is a C++ library for DICOM medical files. It is automatically wrapped to python/C#/Java (using swig). It supports RAW,JPEG (lossy/lossless),J2K,JPEG-LS, RLE and deflated. Python bindings to the GDCM DICOM library.

Alternatives

Provides

  • python2.7-gdcm

    Download

    Source package: gdcm

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-gdcm deb package:
      # sudo apt-get install python-gdcm

    Files

    • /usr/lib/python2.7/dist-packages/_gdcmswig.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/gdcm.py
    • /usr/lib/python2.7/dist-packages/gdcmswig.py
    • /usr/share/doc/python-gdcm/changelog.Debian.gz
    • /usr/share/doc/python-gdcm/copyright

    Changelog

    2016-04-13 - Graham Inggs <ginggs@ubuntu.com> gdcm (2.6.3-3ubuntu3) xenial; urgency=medium * Add Build-Depends on libproj-dev to fix recent FTBFS, thanks Matthias Klose.

    2016-04-13 - Matthias Klose <doko@ubuntu.com> gdcm (2.6.3-3ubuntu2) xenial; urgency=medium * Regenerate the control file to build cli bindings on arm64.

    2016-02-29 - Gianfranco Costamagna <locutusofborg@debian.org> gdcm (2.6.3-3ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - Disable php5-gdcm and php5-vtkgdcm while swig does not support PHP 7.0.

    2016-02-27 - Gert Wollny <gw.fossdev@gmail.com> gdcm (2.6.3-3) unstable; urgency=medium * d/control*, d/rules: Re-instate java package * d/p: Add patch 07 to not try to link against vtk-java modules * d/control*: Update standards version to 3.9.7

    2016-02-24 - Gianfranco Costamagna <locutusofborg@debian.org> gdcm (2.6.3-2ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - Disable php5-gdcm and php5-vtkgdcm while swig does not support PHP 7.0.

    2016-02-19 - Gert Wollny <gw.fossdev@gmail.com> gdcm (2.6.3-2) unstable; urgency=medium * [d96d77] d/p/03: Update patch to use new VTK perl scripts * [8ef9c3] d/control: Tighten dependency on vtk6-doc * [4d67e1] d/p/06: Add patch description * [c88176] d/control: update standards version

    2016-02-12 - Nishanth Aravamudan <nish.aravamudan@canonical.com> gdcm (2.6.3-1ubuntu1) xenial; urgency=medium * Disable php5-gdcm and php5-vtkgdcm while swig does not support PHP 7.0 (LP: #1546823).

    2016-02-02 - Gert Wollny <gw.fossdev@gmail.com> gdcm (2.6.3-1) unstable; urgency=medium * New upstream version * d/b: Add patch 06 to tolerate buggy dicom files. Related: #753809 * d/control: changed docbook-xls to the now needed docbook-xsl-ns * d/gdcm-doc.*: remove micro version from pdf docu, there will never be two versions of the file installed.

    2016-01-10 - Gert Wollny <gw.fossdev@gmail.com> gdcm (2.6.2-3) unstable; urgency=medium * d/control: Add dependency on php5-common for php5-* Closes: #810668

    2016-01-08 - Gert Wollny <gw.fossdev@gmail.com> gdcm (2.6.2-2) unstable; urgency=medium * Run doxygen only if gdcm-doc-*.deb is really build. Closes: #746268

    Advertisement
    Advertisement